digiKam Developer Documentation: Digikam::AlbumHistory Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::AlbumHistory Class Reference

Manages the history of the last visited albums. More...

Inheritance diagram for Digikam::AlbumHistory:

## Public Slots
void | slotAlbumCurrentChanged ()
void | slotAlbumDeleted (Album *album)
void | slotAlbumsCleared ()
void | slotAlbumSelected ()
void | slotClearSelectPAlbum (const ItemInfo &imageInfo)
void | slotClearSelectTAlbum (int id)
void | slotCurrentChange (const ItemInfo &info)
void | slotImageSelected (const ItemInfoList &selectedImage)

## Signals
void | signalSetCurrent (qlonglong imageId)
void | signalSetSelectedInfos (const QList< ItemInfo > &)

## Public Member Functions
| AlbumHistory (QObject *const parent=nullptr)
void | addAlbums (const QList< Album * > &albums, QWidget *const widget, const QHash< LabelsTreeView::Labels, QList< int > > &selectedLabels)
| AlbumHistory::addAlbums A special overloaded function for handling AlbumHistory for the Labels tree-view.
void | addAlbums (const QList< Album * > &albums, QWidget *const widget=nullptr)
void | back (QList< Album * > &album, QWidget **const widget, unsigned int steps=1)
void | clearHistory ()
void | deleteAlbum (Album *const album)
void | forward (QList< Album * > &album, QWidget **const widget, unsigned int steps=1)
void | getBackwardHistory (QStringList &list) const
void | getCurrentAlbum (Album **const album, QWidget **const widget) const
void | getForwardHistory (QStringList &list) const
bool | isBackwardEmpty () const
bool | isForwardEmpty () const
QHash< LabelsTreeView::Labels, QList< int > > | neededLabels ()

## Detailed Description

The user is able to navigate through the albums, he has opened during a session.

## Member Function Documentation

## ◆ addAlbums()

void Digikam::AlbumHistory::addAlbums | ( | const QList< Album * > & | albums,
|  | QWidget *const | widget,
|  | const QHash< LabelsTreeView::Labels, QList< int > > & | selectedLabels
| ) |  |

Author
  Mohamed_Anwer